<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Api_Model extends MY_Model {

    function __construct() {
        parent::__construct();
    }

    public function save($data, $id = NULL) {
        $this->_primary_key = 'sid';
        $this->_table_name = 'order';
        return parent::save($data, $id);
    }

    public function save_printer($data, $id = NULL) {
        $this->_primary_key = 'sid';
        $this->_table_name = 'printing';
        return parent::save($data, $id);
    }

    public function save_customer($customerData, $id = NULL) {
        $this->_primary_key = 'id';
        $this->_table_name = 'customer';
        return parent::save($customerData, $id);
    }

    public function save_address($customerData, $id = NULL) {
        $this->_primary_key = 'id';
        $this->_table_name = 'customer_address';
        return parent::save($customerData, $id);
    }

    public function save_booking($customerData, $id = NULL) {
        $this->_primary_key = 'id';
        $this->_table_name = 'booking';
        return parent::save($customerData, $id);
    }
    

}
